=== src/ana/apps/CMakeLists.txt ===

add_subdirectory( chat )
