=== debian/changelog ===
wesnoth-1.12 (1:1.12.6-1~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 23 May 2016 15:59:59 -0700

wesnoth-1.12 (1:1.12.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/menu file as per tech-ctte decision in #741573.
  * Drop dependency on fonts-droid. (Closes: #804691)
  * Bump to Standards-Version 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 20 May 2016 23:42:57 -0700
